For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETList all tags.
      • POSTCreate a new tag.
      • GETList all tags of a given type.
      • GETGet a tag by type and value.
      • DELDelete a tag.
      • GETGet all tag types
      • POSTCreate a tag type
      • POSTValidate a tag type
      • GETGet a tag type
      • PUTUpdate a tag type
      • DELDelete a tag type
      • PUTAdds a tag to the specified features

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APITags

Validate a tag type

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/tag-types/validate
POST
/api/admin/tag-types/validate
$curl -X POST https://app.unleash-instance.example.com/api/admin/tag-types/validate \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "color"
>}'
1{
2 "valid": true,
3 "tagType": {
4 "name": "color",
5 "description": "A tag type for describing the color of a tag.",
6 "icon": "not-really-used",
7 "color": "#FFFFFF"
8 }
9}
Validates whether if the body of the request is a valid tag and whether the a tag type with that name already exists or not. If a tag type with the same name exists, this operation will return a 409 status code.
Was this page helpful?
Previous

Get a tag type

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

tagTypeSchema
namestringRequired
The name of the tag type.
descriptionstringOptional
The description of the tag type.
iconstring or nullOptional
The icon of the tag type.
colorstring or nullOptionalformat: "^#[0-9A-Fa-f]{6}$"
The hexadecimal color code for the tag type.

Response

validateTagTypeSchema
validboolean
Whether or not the tag type is valid.
tagTypeobject
A tag type.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
415
Unsupported Media Type Error